## org.w3c.www.mux.handlers
Class Echo

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.w3c.www.mux.handlers.Echo

public class Echo
extends java.lang.Thread
implements MuxProtocolHandler

The echo protocol handler.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Echo()` Default public constructor.

Method Summary
`void` | `initialize(MuxSession session)` Initialize the echo protocol on that session.
`void` | `run()` Run that protocol, can't be easier !

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Echo

    public Echo()

  Default public constructor.

Method Detail

### run

    public void run()

  Run that protocol, can't be easier !
  Overrides:
    run in class java.lang.Thread

### initialize

    public void initialize(MuxSession session)
                    throws java.io.IOException

  Initialize the echo protocol on that session.
  Specified by:
    initialize in interface MuxProtocolHandler
  Parameters:
    `session` - The session to use to speak that protocol.